=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (70~ubuntu3.21.10.1) impish; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * locations: Do not manually dispose objects (LP: #1949352, #1951599)
  * windowPreview: Try generating previews clones on meta later only if have valid size
    (LP: #1949572)
  * locations: Use native GIcon as location Apps-icons (LP: #1874578)
  * debian: Update branch info for impish

  [ nename0 ]
  * Cleanup nautilus listeners (LP: #1949352)

  [ Pepijn Bogaard ]
  * appIcons: Fixed logic on handling preview click actions (LP: #1947445)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 25 Jan 2022 01:08:43 +0100
