=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (72~ubuntu5) jammy; urgency=medium

  * docking: Use proper monitor index variable to support DING integration
  * locations: Always ignore OR windows in windows-backed app implementation
  * dash: Handle possible null first button
  * appIcons: Use proper method on _setPopupTimeout call (LP: #1964996)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 14 Apr 2022 22:24:07 +0200

gnome-shell-extension-ubuntu-dock (72~ubuntu4) jammy; urgency=medium

  * locations: Reintroduce manual rate limiting for trash monitoring to
    avoid large memory spikes and leaks when Nautilus deletes files
    (LP: #1962699)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 12 Apr 2022 16:01:16 +0800

gnome-shell-extension-ubuntu-dock (72~ubuntu3) jammy; urgency=medium

  * Revert "debian/rules: Also provide an empty yaru.css file"
    This may be provided also by yaru-theme-gnome-shell, as it should be.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 25 Feb 2022 01:52:07 +0100

gnome-shell-extension-ubuntu-dock (72~ubuntu2) jammy; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * schemas/10_ubuntu-dock.gschema.override: Remove hardcoded theme
  * debian/rules: Also provide an empty yaru.css file
  * debian: Support make check via eslint
  * locations: Assign location to a const variable
  * cleanup: Fix style to follow basic eslint rules
  * cleanup: Fix case declaration scope
  * .eslintrc: Add basic eslint rule to check main issues
  * make: Add check case and use it before generating zip-file
  * docking: Try to use g-s current-workspace-only before monitor isolation
  * utils: Only block signal events for GObject classes
  * locations: Do not try to add null volumes from valid mounts (LP: #1960898)
  * locations: Ensure that cancellable is set during finally stanza
  * prefs: Ensure display combo box is updated on settings changes
  * prefs: Add support to show in GNOME 42 libadwaita-based dialog
  * utils: Support vfunc injections on newer GObject classes as per gjs 1.71
  * stylesheet: Use the same padding in both the sides in extended mode
  * stylesheet: Do not shrink too much border radius and edge paddings
  * stylesheet: Increase the side margin in shrink floating mode
  * appIconIndicators: Use native actor rotation to rotate the drawing area
  * appIconIndicators: Ensure that the drawing area is always a square

  [ Stephen Gibbel ]
  * Adds an intellihide mode for always-on-top (on non-fullscreen windows)

  [ Sergio Costas ]
  * Reset margins when 'intellihide' is disabled

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 24 Feb 2022 22:33:25 +0100

gnome-shell-extension-ubuntu-dock (72~ubuntu1) jammy; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Revert "extension: Disable starting in the overview"
  * locations: Do not manually dispose objects (LP: #1949352, LP: #1951599)
  * po/es.po: Remove duplicated entry for Quit translation
  * docking: Delay dash animation callback at actual completion
  * utils: Fix variable in error template string
  * appIcons: In case we have no window to activate, let's just present it
  * docking: Do not try to re-add a Meta.Later if one is already queued
  * docking: Optionally disable animation to overview on startup
  * dash: Track hover on separator item so that it can contribute to scrolling
  * dash: Remove the scroll view visibility idle if triggering actor is
    destroyed
  * docking: Handle monitoring of discrete GPU not to leak signals
  * appIcons: Random cleanups to use more relevant variable names
  * appIcons: Compare workspaces instead of their indexes
  * appIcons: Ensure we only consider as urgent the ones respecting our rules
  * appIcons: Use new-window action only when requested, avoiding duplication
  * appIcons: Fixed logic on handling preview click actions (LP: #1947445)
  * stylesheet: Use some better naming for start marging value
  * stylesheet: Use scss generation for overview-icon background
  * stylesheet: Set the dash-separator color in both horizontal and vertical
    mode
  * windowPreview: Try generating previews clones on meta later only if have
    valid size (LP: 1949572)
  * utils: Remove handlers in reversed order
  * Dash: Update appIcon geometry on parent geometry changes
  * docking: Reduce the space used by the window picker / app grid
  * cleanup: Use cached settings values instead of doing C calls
  * locations: Use shell domain to translate reused strings
  * locations: Use native GIcon as location Apps-icons (LP: #1874578)
  * locations: Use native Gio.FileMonitor rate limit instead of a custom idle
  * locations: Fix typo on FileManager app (un)wrapping functions
  * locations: Fix handling of location apps on isolated workspaces mode
  * locations: Also destroy all removable devices on Removables manager
    destruction
  * locations: Only emit changed signal if a monitored device has been removed
  * locations: Only update Trash icon on changes
  * locations: Remove unmounted locations by value
  * locations: Use native AppInfo's and Shell mount operations
  * metadata: Add support for gnome-shell 42
  * fileManager1API: Cleanup the code to get windows from location path
  * fileManager1API: Keep windows paths cached so we can monitor changes
  * utils: Add support for (un)blocking signals handlers
  * locations: Smart managing wrapped windows backed applications signal
    connections
  * locations: Use proxy properties to expose private items to public object
  * locations: Chain up to parent destroy() function if any
  * locations: Manage sources as part of DtdData
  * locations: Manage windows changes in base class
  * cleanup: Move shellAppCompare under Utils as it's a generic tool
  * locations: Keep locations windows ordered following the shell algorithm
  * locations: Use windows array directly where there's no need for method call
  * locations: Resort and notify windows changes on user-time changes

