=== debian/control ===
--- 
+++ 
@@ -4,16 +4,20 @@
 Maintainer: Didier Roche <didrocks@ubuntu.com>
 Build-Depends: debhelper (>= 10),
                dh-translations,
+               eslint <!nocheck>,
                libglib2.0-bin,
+               node-chalk <!nocheck>,
+               node-js-yaml <!nocheck>,
+               node-strip-ansi <!nocheck>,
                sassc,
 Standards-Version: 4.1.1
-Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-impish
-Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-impish
+Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock
+Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
 Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock/README.md
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: gnome-shell (<< 41),
+Depends: gnome-shell (<< 43),
          gnome-shell (>= 40),
          ${misc:Depends},
          ${shlibs:Depends}
