=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gnome-shell-extension-ubuntu-dock
 Section: gnome
 Priority: optional
-Maintainer: Didier Roche <didrocks@ubuntu.com>
+Maintainer: Marco Trevisan <marco@ubuntu.com>
 Build-Depends: debhelper (>= 10),
                dh-translations,
                eslint <!nocheck>,
@@ -11,8 +11,8 @@
                node-strip-ansi <!nocheck>,
                sassc,
 Standards-Version: 4.1.1
-Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock
-Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
+Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-jammy
+Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-jammy
 Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock/README.md
 
 Package: gnome-shell-extension-ubuntu-dock
