=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (74ubuntu2) kinetic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/control: Update maintainer to myself
  * docking: Don't try to call a null callback (LP: #1989170)
  * docking: Do not wait for dash animation two times with no overview
    (LP: #1965208)
  * docking: Ensure we perform the startup animation completely on docks updates
    (LP: #1965208, LP: #1989170)
  * docking: Use a try/catch statement on our promise to show errors in case
    (LP: #1989170)
  * windowPreviews: Take global scaling in account to set the clone sizes
    (LP: #1992843)
  * docking: Keep overview controls layout proportions when resizing it
    (LP: #1992847)
  * docking: Also reduce the app grid area when in auto-hide mode (LP: #1992847)
  * docking: Use an even width for the overview content area (LP: #1979096)
  * docking: Check if autohide or intellihide is enabled on menu closed
    (LP: #1983130)
  * appIcons: Ensure icons are animated when new instances are launched
    (LP: #1992845)
  * docking: Do not try to focus potentially undefined window
  * appSpread: Do not anything on destruction if not supported
  * docking: Ignore hover changes if overview is visible (LP: #1983130)

  [ Daniel van Vugt ]
  * docking: Handle when dash is destroyed during the login animation
    (LP: #1989170)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 13 Oct 2022 22:00:20 +0200

gnome-shell-extension-ubuntu-dock (74ubuntu1) kinetic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New EGO upstream bugfix release 74
  * debian/control: Bump dependency on gnome-shell << 44 (LP: #1990423)
  * docking: Respect St.Settings for animation duration
  * stylesheet: Increase apps tooltips margins
  * stylesheet: Set margin for default app-running dots
  * stylesheet: Remove upstream defined dash-item-container's children margins
    (LP: #1966167)
  * stylesheet: Do not add edge padding to edge elements
  * stylesheet: Fix definition for dash-separator in shrink mode
  * appIcons: Add missing implementation of _setPoupTimeout to wrapped toggle
  * appIcons: Also redirect arguments, to called methods if any
  * appIcons: Implement setForcedHighlight function in DockShowAppsIcons
  * appIcons: Modernize and cleanup DockShowAppsIcon code
  * docking: Fix arguments for overridden _getAppDisplayBoxForState
  * Settings: Move the Shrink option to the global theme settings
  * prefs: Do not request resizing of our root widget on startup
  * prefs: Never use a scrolled window in newer GNOME Shell
  * appIcons: Monitor windows workspace changes when isolating workspaces
  * locations: Make FileManagerApp emit windows-changed on workspace switches
    (LP: #1971012)
  * stylesheet: Take in account side margin and opposite padding in separators
  * stylesheet: Explicitly use border radius and spacing from upstream
  * stylesheet: Simplify dash separator definition based on upstream one
  * stylesheet: Use unique function to handle padding/margin on internal
    children
  * stylesheet: avoid computing the shrunk dash padding multiple times
  * stylesheet: Use generic style generator for shrink mode too
  * stylesheet: Move mixins to the top of the file for easier re-usage
  * stylesheet: Use dock-container-style to define the extended cases too
  * docking: Move style classes names to Theming
  * dash, stylesheet: Support shrink and position-based style for labels
  * stylesheet: Move dock specific variables to dock namespace
  * stylesheet: Sync global variable definitions with upstream

  [ David Astillero Pérez ]
  * Update Spanish translation

  [ Jose Riha ]
  * Update Slovak translation

  [ rene-coty ]
  * Updated French Translation

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 24 Sep 2022 10:02:45 +0200

gnome-shell-extension-ubuntu-dock (72ubuntu6) kinetic; urgency=medium

  [ David Astillero Pérez ]
  * Update spanish (Spain) translation

  [ Marco Trevisan (Treviño) ]
  * utils: Support clearing wrappers
  * utils: Only support using JS Symbol's as Handler's keys
  * appIcons: Add Focus or App spread only (without minimization) too
  * appSpread: Use native Object
  * appSpread: Move AppSpread to docking
  * appSpread: fallback to previews if not supported
  * appSpread: Use utilities to manage methods monkey-patching
  * appSpread: Monitor applications more than specific windows
  * appIcons: Cleanup spread actions logic, so that it's less prone to errors
  * appSpread: Always show all the app windows in the spread
  * appSpread: Do not support it when we've a dummy overview
  * appSpread: Restore default windows when switching to AppView
  * appSpread: Don't mark the Activities button as checked in spread mode
  * 10_ubuntu-dock.gschema.override: Use focus-or-appspread by default

  [ ggcode ]
  * implement "minimize or overview" with only current app windows

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Aug 2022 22:28:23 +0200

gnome-shell-extension-ubuntu-dock (72ubuntu5) kinetic; urgency=medium

  * docking: Fix syntax to please eslint

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Aug 2022 03:09:27 +0200

gnome-shell-extension-ubuntu-dock (72ubuntu4) kinetic; urgency=medium

  * docking: Check for corners availability using standard checks
  * docking: Do not try to override removed old methods

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Aug 2022 02:53:53 +0200

gnome-shell-extension-ubuntu-dock (72ubuntu3) kinetic; urgency=medium

  [ Alexandru Cheltuitor ]
  * Ensure that PanelCorner has given properties before checking the value

  [ Leandro Kemp ]
  * Added option to turn on/off show dock for urgent notifications

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 24 Aug 2022 20:27:56 +0200

gnome-shell-extension-ubuntu-dock (72ubuntu2) kinetic; urgency=medium

  [ Patryk Skorupa ]
  * Add compatibility with DING for Dynamic Transparency (LP: #1981837)

  [ Daniel van Vugt ]

