=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                node-strip-ansi <!nocheck>,
                sassc,
 Standards-Version: 4.1.1
-Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-jammy
-Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-jammy
+Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock
+Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
 Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock/README.md
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: gnome-shell (<< 43),
+Depends: gnome-shell (<< 44),
          gnome-shell (>= 40),
          ${misc:Depends},
          ${shlibs:Depends}
