## gnome-shell-extension-ubuntu-dock 79ubuntu2

=== Makefile ===
--- 
+++ 
@@ -16,13 +16,16 @@
                 fileManager1API.js \
                 launcherAPI.js \
                 locations.js \
+                locationsWorker.js \
+                notificationsMonitor.js \
                 windowPreview.js \
                 intellihide.js \
                 prefs.js \
                 theming.js \
                 utils.js \
                 dbusmenuUtils.js \
-                Settings.ui desktopIconsIntegration.js \
+                desktopIconsIntegration.js \
+                Settings.ui \
                 $(NULL)
 
 EXTRA_MEDIA = logo.svg \
