=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (79ubuntu2) lunar; urgency=medium

  * locations: Use a CommandLine App to launch new windows
  * locations: Use an external helper to get the location handler (LP: #2013070)
  * locations: Use normal launch operation if location is not set yet

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 13 Apr 2023 06:25:39 +0200

gnome-shell-extension-ubuntu-dock (79ubuntu1) lunar; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * locations: Keep track of launch wait timeouts
  * locations: Ensure we always remove tracked launch timeout sources
  * appIconIndicators: Unpack texture names, not the iconInfo
  * locations: Create launchMaxWait in order
  * windowPreview: Honor button layout settings for the window preview close
  * docking: export Docking.State enum
  * cleanup: get scaleFactor using deconstruction
  * utils: Use St.IconTheme if available (required by GNOME 44)
  * appIndicators: Destroy the notifications badge on destruction
  * prefs: Use SHELL_VERSION not to depend on running shell
  * prefs: Add ability to toggle visibility of icon emblems
  * appIconIndicators: Add add unhanded notifications to icon count
  * appIcons: Do not show icon emblems on do-not-disturb mode
  * locations: Re-use cached handler app instead of querying it all the times

  [ Davi Figueiredo ]
  * fix: this._launchMaxWaitIds is undefined

  [ SubZ69 ]
  * Hide application tooltip option

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 07 Mar 2023 06:19:23 +0100

gnome-shell-extension-ubuntu-dock (76ubuntu1) lunar; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release 76
  * windowPreviews, appIcons: set maximum width/height on menus taking scaling
    in account.
    Even if St.Theme is supposed to scale down all the css values, this
    doesn't seem to happen for the menus max-width / height values and so
    we may end up having too big menus to be visible. (LP: #1992980)
  * appIcons, windowPreview: Use overlay-scrollbars for window previews.
    Helps to have them properly aligned
  * appIcons: do not set isHorizontal parameter on AppIcon when opening a menu.
    It's not an object property, so no need to keep it changed here.
  * windowPreview: Improve style of menu-items depending on dock positioning.
    Sadly this is not just a style change, because apparently St is bugged
    when it comes to handle the first/last child properties so if we'd just
    use normal allocation we would have lost the special padding for those
    elements causing unwanted behavior.
    In this way, instead we preserve the style-defined sizes also for
    first/last children.
  * utils: Use nicer syntax for later and MonitorManager wrappers
  * Add gnome-suggested eslint and auto-fix main issues.
  * extension: Cleanup code to be conform to ESLint rules
  * docking: Remove autohide trigger timeout on destruction
  * windowPreview: Get scale size without using an utility function.
    That's simple enough to be handled internally
  * appIcons: Allow marking urgent applications when not running.
    This may be supported when using remote launcher actions
  * appIconIndicators: Do not load theme node for off-stage widgets.
    These information are only available when a widget is on the stage
  * locations: Notify error message to the user, not the error itself
  * locations: Ignore errors when mounting a mounted device or umounting an
    umounted one
  * locations: Do not try to use the handler app twice to launch if not found.
    We're already doing a check for handler app in vfunc_launch(), so
    there's no need to go through the same via vfunc_get_commandline()
  * locations: Check for gjs version just once
  * locations: Do not return anything on open_new_window.
  * locations: Mark the application as stopped if launching fails.
  * locations: Use async API to get the handler APP for uri.
    GVfs implementations of GFile could cause the shell to hang while querying
    the file infos, making the whole UI to freeze, and such actions can't be
    cancelled, even if that's running in external processes.
    To avoid this to happen, we need to use the async API and limit its
    execution time to handle failures gracefully.
    In case we also cache the last valid handler applications so that in case
    we can re-use it on timeouts. (LP: #1997264)
  * locations: Use better logic to check if a new window can be opened.
    Sadly we can't use the new-window action directly because it does not
    support adding further arguments.
  * locations: Handle undefined error gracefully
  * eslint: disable some options that are not working in ubuntu's eslint

  [ Daniel van Vugt ]
  * debian/control: Allow installing with gnome-shell 44.

  [ Sabri Ünal ]
  * Update Turkish translation

  [ Sundeep Mediratta ]
  * Dont detect and track DING windows for intellihide
  * Move constant to global, to prevent recurrent assignments
  * intellihide: Optimize intellihide for handled windows.
  * Fix Transparency for Gtk4 DING

  [ Brendan Weibrecht ]
  * Make urgent application icon dance toggleable

  [ Robert Strauch ]
  * docs: add dependency for gettext to build section

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 24 Feb 2023 03:42:49 +0100

gnome-shell-extension-ubuntu-dock (75ubuntu1) lunar; urgency=medium

  * New upstream release 75.

  [ Daniel van Vugt ]
  * Add support for GNOME 44 (avoid deprecated functions).

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 20 Feb 2023 16:57:54 +0800
