=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: gnome-shell (<< 44),
+Depends: gnome-shell (<< 45~),
          gnome-shell (>= 40),
          ${misc:Depends},
          ${shlibs:Depends}
