## gnome-shell-extension-ubuntu-dock 79ubuntu2.23.04.2

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (79ubuntu2.23.04.2) lunar; urgency=medium

  * Keep shell overview always visible and usable (LP: #1979096):
    - docking: Do ControlsManagerLayout allocation with box-adjusted workArea
    - docking: Be more consistent in reducing the overlay layout space
    - docking: Add both bottom and top spacing when there are no workspaces

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 02 Jun 2023 16:37:38 +0200

gnome-shell-extension-ubuntu-dock (79ubuntu2.23.04.1) lunar; urgency=medium

  * debian: Update VCS references to ubuntu-dock-lunar branch
  * docking: Handle monitors changes during early startup (LP: #2019751)
    - docking: Cleanup startup animation injections once done
    - docking: Handle monitors changed events while preparing startup animation
    - docking: Keep clip and coverPane size matching current setup

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 16 May 2023 01:47:35 +0200
