## gnome-shell-extension-ubuntu-dock 87ubuntu1

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (87ubuntu1) mantic; urgency=medium

  * Releasing v87
  * Imports: use less verbose export strategy
  * prefs: Use GObject class for signal emission
  * cleanup: Avoid setting modules versions
  * prefs: Remove unneeded log line
  * extension: Do not try to re-enable the extension when already is

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 18 Aug 2023 00:55:44 +0200

gnome-shell-extension-ubuntu-dock (85ubuntu1) mantic; urgency=medium

  [ Stuart Hayhurst ]
  * docking: Update dock visibility after overview hide animation is done

  [ Amr Ibrahim ]
  * Update German translation

  [ jrom99 ]
  * Fix some icons missing dominant color
  * Adds sensible fallback if dominant color is missing
  * Fix mounted drives missing dominant color

  [ Marco Trevisan (Treviño) ]
  * New upstream release 85
  * appIconIndicators: Address eslint comments on dominant color fix
  * extension: Port to ESM
  * eslint: Update rules to match gnome-shell 45 and fix syntax
  * eslint: Ignore some files that ubuntu's eslint can't parse yet
  * debian/control: Bump gnome-shell dependency

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 17 Aug 2023 04:04:06 +0200

gnome-shell-extension-ubuntu-dock (84ubuntu1) mantic; urgency=medium

  [ WhiredPlanck ]
  * Update Simplified Chinese translation
  * Update Traditional Chinese translation

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * Revert "dash: Compute number of icons easily and correctly to show the
    separator"
  * dash: Take in account the number of removed favorites to add the separator
  * docking: Always affect the input region when adding the dock (LP: #2022885)

  [ addieStarr ]
  * Fixed dash-js app issue

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 15 Jun 2023 22:51:34 +0200

gnome-shell-extension-ubuntu-dock (82ubuntu1) mantic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New Upstream release v82
  * debian/rules: Install prefs.js (it allows to tweak further settings)
  * docking: Use upstream addChrome to track actors
  * docking: Do ControlsManagerLayout allocation with box-adjusted workArea
    (LP: #1979096)
  * docking: Be more consistent in reducing the overlay layout space
  * docking: Add both bottom and top spacing when there are no workspaces thumbs
  * dash: Use a different container to hold floating ShowAppsIcon
  * dash: Temporary remove separator when re-displaying icons (LP: #2017523)
  * dash: Compute number of icons easily and correctly to show the separator
  * dash: Cleanup a bit the icons ordering code
  * dash: Animate icons during overview animation but not during startup

  [ taoky ]
  * intellihide: add dropdown menu to handled window types (LP: #1983456)

  [ Sabri Ünal ]
  * Update Turkish translation

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 02 Jun 2023 03:50:12 +0200

gnome-shell-extension-ubuntu-dock (81ubuntu1) mantic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * docking: Set dance timeline duration to 1 if animations are disabled
  * appInconIndicators: Improve the computing of the counter badge size
  * notificationsMonitor: Do not count the acknowledged resident notifications
  * docking: Initialize settings before than other classes that could use them
  * notificationsMonitor: Add an options to disable notifications counter only
  * appIconIndicators: Add an option to control whether the counters are summed
  * docking: Initialize the Launcher remote model only if needed
  * locations: Use correct name for default handler finish function
  * locationsWorker: Use more async awaitness
  * docking: Cleanup startup animation injections once done
  * docking: Handling monitors changed events while preparing startup animation
    (LP: #2019751)
  * docking: Keep clip and coverPane size matching current setup (LP: #2019751)
  * schemas: Update some descriptions to match actual behavior
  * docking: Cleanup some stray lines
  * dash: Do DockDash class initialization at first thing
  * dash: Add option to keep the icons always centered in extended mode
  * Settings: improve wording on show-apps option
  * dash: Add option to show the show-apps button bound to icons in panel mode

  [ Amr Ibrahim ]
  * Update German translation
  * Change "dance" to "wiggle"

  [ hasecilu ]
  * Update Spanish translation
  * Update potfile changes to es.po

  [ Daniel van Vugt ]
  * prefs: Set default window height to 850, if it fits

  [ stuarthayhurst ]
  * Fix consistency of fullstops in strings
  * Updated translations

  [ Yaroslav Pronin ]
  * Update Russian translation

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 16 May 2023 01:21:24 +0200
