=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (87ubuntu2) mantic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * locationsWorker: Exit with the main script exit code (LP: #2038783)

  [ Stuart Hayhurst ]
  * appIcons: Use Mtk.Rectangle instead of Meta.Rectangle (LP: #2034664)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 09 Oct 2023 03:04:54 +0200
