=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (90ubuntu1) noble; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release: dash-to-dock v90
  * locations: Remove unused variable
  * appIcon: Allow customizing the showAppsIcon based on the session mode
    (LP: #2060816)

  [ taoky ]
  * docking: fix window picker space for multi-monitor environments
  * intellihide: enable/disable unredirect when dock shows/hides

  [ Jichi Zhang ]
  * intellihide: treat fullscreen windows as maximized

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 17 Apr 2024 21:09:42 +0200

gnome-shell-extension-ubuntu-dock (89ubuntu4) noble; urgency=medium

  [ Julian Kandlhofer ]
  * Fix deprecated "St.ScrollView.[hv]scroll" property

  [ Sergio Costas ]
  * Fix dot height in default mode (#2168)

  [ taoky ]
  * docking: adapt ControlsManagerLayout spacing for GNOME 46

  [ Daniel van Vugt ]
  * docking: Hard code the startup animation time
  * docking: Use the upstream gnome-shell startup animation code (LP: #2058468)

  [ Sabri Ünal ]
  * i18n: Fix sl-po file extension

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 10 Apr 2024 16:28:01 +0800

gnome-shell-extension-ubuntu-dock (89ubuntu3) noble; urgency=medium

  [ Sergio Costas Rodriguez ]
  * Update for Gnome Shell 46
  * Fix hover highlight in Gnome Shell 45
  * Right detection of barriers
  * Fix Overview mode
  * Remove the gray background in each icon
  * Show the currently focused application
  * appIndicators: Update progress bar colors to be more modern
  * appIndicators: Use track instead of background
  * stylesheet: Allow to use CSS to fully set gradient colors

  [ Daniel van Vugt ]
  * windowPreview: Use set_child instead of add_child

  [ Sundeep Mediratta ]
  * Remove any dependency on dockmanager in desktopIconsIntegration.js

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 22 Mar 2024 10:08:15 +0100

gnome-shell-extension-ubuntu-dock (89ubuntu2) noble; urgency=medium

  [ Daniel van Vugt ]
  * windowPreview: Use set_child instead of add_child (LP: #2056506)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 12 Mar 2024 19:05:30 +0100

gnome-shell-extension-ubuntu-dock (89ubuntu1) noble; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * metadata: Bump to version 89
  * dependencies/gi: Use shorter syntax for dependencies imports
  * eslint: Force dangle comma on multi-line imports
  * locations: Use TextDecoder instead of deprecated ByteArray
  * locations: Throw a clearer error if handlerApp is not found
  * locationsWorker: Exit with the main script exit code
  * docking: Do not manually dispose the settings object
  * docking: Use St.IconTheme directly, without wrappers
  * dependencies/gi: Do not import Gdk or Gtk into the shell
  * appIcons: Add support for translating plural forms
  * Utils: add supportsExtendedBarriers
  * cleanup: Style fixes

  [ Sergio Costas Rodriguez ]
  * Update for Gnome Shell 46
  * Preserve Gnome Shell 45 compatibility
  * Fix lack of Clutter.cairo_set_source_color
  * Use add_child in all the possible places
  * Remove the gray background in each icon
  * Show the currently focused application

  [ Stuart Hayhurst ]
  * appIcons: Use Mtk.Rectangle instead of Meta.Rectangle

  [ xalt7x.service ]
  * Update Ukrainian translation
  * Fix dashtodock.pot generation
  * Add missing third argument
  * Use the function ngettext directly
  * Update Ukrainian translation

  [ Balázs Úr ]
  * Update Hungarian translation

  [ Matej ]
  * Created sl-po

  [ hasecilu ]
  * Update Spanish translations

  [ Amr Ibrahim ]
  * Update German translation

  [ Piotr Wieczorek ]
  * Fix Polish translation of "Empty Trash"

  [ Yaroslav Pronin ]
  * Change "Show Details" to GNOME's "App Details"
  * Fix auto format indents

  [ Vincenzo ]
  * Fix for blurry background when opening a new application (LP: #1965123)
  * Simplify animation duration expression into one-liner

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 01 Mar 2024 00:51:05 +0100
