=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: gnome-shell (<< 46~),
+Depends: gnome-shell (<< 47~),
          gnome-shell (>= 45~),
          ${misc:Depends},
          ${shlibs:Depends}
